<?xml version="1.0" encoding="UTF-8"?>
<MetaData xmlns="http://www.osgi.org/xmlns/metatype/v1.2.0" localization="en_us">

  <OCD id="it.ssg.training.intsim.IntSim"
        name="IntSim"
        description="This is a metatype file for a simple configurable component for breaker simulator">
        
          <AD id="isEnabled" name="isEnabled" type="Boolean" cardinality="0"
             required="true" default="true"
             description="Enabled" />
          
          <AD id="intervallo.odm"
            name="Mqtt timing"
            type="Integer"
            cardinality="0"
            required="true"
            default="5"
            min="5"
            max="600"
            description="Mqtt timing configuration parameter"/>
            
            <AD id="breaker.status"
            name="Breaker status"
            type="Integer"
            cardinality="0" 
            required="true"
            default="0"
            description="Breaker status selector">
            <Option label="Disconnected" value="0"/>
            <Option label="OFF" value="1"/>          
            <Option label="ON" value="2"/>
            </AD>
                                                           
            <AD id="numero.odm"
            name="Number Odm"
            type="Integer"
            cardinality="0" 
            required="true"
            default="1"
            description="Choose the number of the odm port from 1 to 16">             
             <Option label="1" value="1"/>          
             <Option label="2" value="2"/>
             <Option label="3" value="3"/>     
             <Option label="4" value="4"/>
             <Option label="5" value="5"/>
             <Option label="6" value="6"/>
             <Option label="7" value="7"/>
             <Option label="8" value="8"/>
             <Option label="9" value="9"/>
             <Option label="10" value="10"/>
             <Option label="11" value="11"/>
             <Option label="12" value="12"/>
             <Option label="13" value="13"/>
             <Option label="14" value="14"/>
             <Option label="15" value="15"/>
             <Option label="16" value="16"/>
             
             </AD>
             
           <AD id="send.voltage" name="Send Voltage" type="Boolean" cardinality="0"
             required="true" default="true"
             description="Tool for enabling voltage trasmission" />
                        
            <AD id="value.voltage"
            name="Voltage Value"
            type="Integer"
            cardinality="0"
            required="true"
            default="0"
            min="0"
            max="500"
            description="Writedown the value of the voltage for the selected phase"/>
             
             <AD id="send.current" name="Send Current" type="Boolean" cardinality="0"
             required="true" default="true"
             description="Tool for enabling current trasmission" />
                           
            <AD id="value.current"
            name="Current Value"
            type="Integer"
            cardinality="0"
            required="true"
            default="0"
            min="0"
            max="500"
            description="Writedown the value of the current for the selected phase"/>
                                       
           <AD id="send.activepower" name="Send Active Power" type="Boolean" cardinality="0"
             required="true" default="true"
             description="Tool for enabling Active Power trasmission" />
                     
           <AD id="value.activepower"
            name="Activepower Value"
            type="Integer"
            cardinality="0"
            required="true"
            default="0"
            min="0"
            max="500"
            description="Writedown the value of the active power for the selected phase"/>
                          
          <AD id="send.reactivepower" name="Send Reactive Power" type="Boolean" cardinality="0"
             required="true" default="true"
             description="Tool for enabling Reactive Power trasmission" />
                         
            <AD id="value.reactivepower"
            name="Reactivepower Value"
            type="Integer"
            cardinality="0"
            required="true"
            default="0"
            min="0"
            max="500"
            description="Writedown the value of the reactive power for the selected phase"/>
                          
       </OCD>
       
         <Designate pid="it.ssg.training.intsim.IntSim">
        <Object ocdref="it.ssg.training.intsim.IntSim" factoryPid="it.ssg.training.intsim.IntSim"/>
    </Designate>
</MetaData>